package com.example.beijing_daxing.vm;

import android.view.View;
import android.widget.AdapterView;

import androidx.databinding.BaseObservable;

import com.example.beijing_daxing.been.BaseLocation;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wanghao
 * @date 2024/1/17  16:17
 */
public class OutStoreVm  extends BaseObservable {
    private List<String> epcList;
    private String areaCode;
    private String submitUser;
    private String useUser;

    private List<String> areaList;

    public void selectAreaCode(AdapterView<?> adapterView, View view,int p,long id){
        this.areaCode=areaList.get(p);
    }

    public List<String> getEpcList() {
        return epcList;
    }

    public void setEpcList(List<String> epcList) {
        this.epcList = epcList;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(String submitUser) {
        this.submitUser = submitUser;
    }

    public String getUseUser() {
        return useUser;
    }

    public void setUseUser(String useUser) {
        this.useUser = useUser;
    }

    public List<String> getAreaList() {
        return areaList;
    }

    public void setAreaList( List<BaseLocation> baseLocationList) {
        areaList=new ArrayList<>();
        baseLocationList.forEach(t->areaList.add(t.getLocationCode()));
        notifyChange();
    }
}
